package jpatests.model.cascade;

import javax.persistence.*;
import java.util.List;

/**
 * @author Wonseok Kim
 */
@Entity
@Table(name="CASCADE_A")
public class EntityA {
    @Id
    String id;
    
    @OneToOne(cascade = CascadeType.MERGE)
    EntityB b;
    
    @OneToMany(mappedBy="a", cascade = CascadeType.MERGE)
    List<EntityC> c;


    public EntityA() {
    }

    public EntityA(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public EntityB getB() {
        return b;
    }

    public void setB(EntityB b) {
        this.b = b;
    }

    public List<EntityC> getC() {
        return c;
    }

    public void setC(List<EntityC> c) {
        this.c = c;
    }
}
